import { PropType } from '@vue/composition-api';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    refThumb: import("@vue/composition-api").Ref<HTMLElement>;
    refPanel: import("@vue/composition-api").Ref<HTMLElement>;
    styles: import("@vue/composition-api").ComputedRef<{
        left: string;
        color: string;
    }>;
}> & import("@vue/composition-api").Data, {}, {}, {
    className: {
        type: StringConstructor;
        default: string;
    };
    value: {
        type: NumberConstructor;
        default: number;
    };
    maxValue: {
        type: NumberConstructor;
        default: number;
    };
    railStyle: {
        type: PropType<any>;
    };
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("../utils").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("../interfaces").TdColorHandler>;
        default: () => () => void;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    className: {
        type: StringConstructor;
        default: string;
    };
    value: {
        type: NumberConstructor;
        default: number;
    };
    maxValue: {
        type: NumberConstructor;
        default: number;
    };
    railStyle: {
        type: PropType<any>;
    };
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("../utils").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("../interfaces").TdColorHandler>;
        default: () => () => void;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: number;
    className: string;
    disabled: boolean;
    handleChange: import("../interfaces").TdColorHandler;
    maxValue: number;
} & {
    color?: import("../utils").Color;
    railStyle?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    refThumb: import("@vue/composition-api").Ref<HTMLElement>;
    refPanel: import("@vue/composition-api").Ref<HTMLElement>;
    styles: import("@vue/composition-api").ComputedRef<{
        left: string;
        color: string;
    }>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: number;
    className: string;
    disabled: boolean;
    handleChange: import("../interfaces").TdColorHandler;
    maxValue: number;
} & {
    color?: import("../utils").Color;
    railStyle?: unknown;
}, {
    value: number;
    className: string;
    disabled: boolean;
    handleChange: import("../interfaces").TdColorHandler;
    maxValue: number;
}, true>);
export default _default;
